> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trychroma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invocation

> Returns details of an invocation with the provided ID.



## OpenAPI

````yaml /sync.openapi.json get /api/v1/invocations/{invocation_id}
openapi: 3.1.0
info:
  title: Chroma Sync Service
  description: >-
    Chroma Sync Service provides APIs for managing data synchronization sources
    and invocations. The service supports syncing content from GitHub
    repositories, web scrape targets, and S3 buckets to Chroma collections.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://sync.trychroma.com
security: []
paths:
  /api/v1/invocations/{invocation_id}:
    get:
      tags:
        - Invocation
      summary: Get invocation
      description: Returns details of an invocation with the provided ID.
      operationId: get_job
      parameters:
        - name: invocation_id
          in: path
          description: Invocation ID
          required: true
          schema:
            $ref: '#/components/schemas/JobId'
      responses:
        '200':
          description: Found invocation with provided ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Invocation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - x-chroma-token: []
components:
  schemas:
    JobId:
      type: string
      format: uuid
    Job:
      type: object
      required:
        - id
        - status
        - metadata
        - created_at
      properties:
        created_at:
          type: string
          format: date-time
        id:
          $ref: '#/components/schemas/JobId'
        metadata:
          $ref: '#/components/schemas/IndexJobMetadata'
        source_id:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SourceId'
        status:
          $ref: '#/components/schemas/JobStatus'
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
    IndexJobMetadata:
      allOf:
        - $ref: '#/components/schemas/IndexJobMetadataKind'
        - type: object
          required:
            - database_name
            - collection_name
          properties:
            collection_name:
              type: string
            database_name:
              type: string
    SourceId:
      type: string
      format: uuid
    JobStatus:
      oneOf:
        - type: string
          enum:
            - pending
        - type: string
          enum:
            - processing
        - type: object
          required:
            - complete
          properties:
            complete:
              type: object
              required:
                - finished_at
                - duration_ms
              properties:
                duration_ms:
                  type: integer
                  format: int64
                  minimum: 0
                finished_at:
                  type: string
                  format: date-time
        - type: object
          required:
            - failed
          properties:
            failed:
              type: object
              required:
                - error
              properties:
                error:
                  type: string
        - type: string
          enum:
            - cancelled
    IndexJobMetadataKind:
      oneOf:
        - type: string
          enum:
            - web_scrape
        - type: object
          required:
            - github
          properties:
            github:
              type: object
              required:
                - git_ref_identifier
              properties:
                git_ref_identifier:
                  $ref: '#/components/schemas/GitRefIdentifier'
        - type: object
          required:
            - s3
          properties:
            s3:
              type: object
              required:
                - bucket_name
              properties:
                additional_metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties: {}
                  propertyNames:
                    type: string
                bucket_name:
                  type: string
                custom_id:
                  type:
                    - string
                    - 'null'
                object_key:
                  type:
                    - string
                    - 'null'
        - type: string
          enum:
            - Unknown
    GitRefIdentifier:
      oneOf:
        - type: object
          required:
            - sha
          properties:
            sha:
              type: string
        - type: object
          required:
            - branch
          properties:
            branch:
              type: string
  securitySchemes:
    x-chroma-token:
      type: apiKey
      in: header
      name: x-chroma-token

````